//  ascii_check header  ------------------------------------------------------//

//  Copyright Shintaro Sakahara 2007.
//
//  Distributed under the Boost Software License, Version 1.0.
//  (See accompanying file LICENSE_1_0.txt or copy at
//  http://www.boost.org/LICENSE_1_0.txt)

#ifndef BOOST_ASCII_CHECK_HPP
#define BOOST_ASCII_CHECK_HPP

#include "inspector.hpp"

namespace boost
{
  namespace inspect
  {
    class ascii_check : public inspector
    {
    public:
      ascii_check();
      virtual ~ascii_check();

      virtual const char * name() const;
      virtual const char * desc() const;

      virtual void inspect(
        const std::string & library_name,
        const path & full_path,
        const std::string & contents );

    private:
      long m_files_with_errors;
    };
  }
}

#endif // BOOST_ASCII_CHECK_HPP
